Functions | Variables

# object_sl.cpp File Reference

Code handling saving and loading of objects. More...

`#include "../stdafx.h"`
`#include "../object_base.h"`
`#include "../object_map.h"`
`#include "saveload.h"`
`#include "newgrf_sl.h"`

Go to the source code of this file.

## Functions
static void | Save_OBJS ()
static void | Load_OBJS ()
static void | Ptrs_OBJS ()
static void | Save_OBID ()
static void | Load_OBID ()
## Variables
static const SaveLoad | _object_desc []
const ChunkHandler | _object_chunk_handlers []

## Detailed Description

Code handling saving and loading of objects.

Definition in file object_sl.cpp.

## Variable Documentation

const ChunkHandler _object_chunk_handlers[]

Initial value:

     {
      { 'OBID', Save_OBID, Load_OBID, NULL,      NULL, CH_ARRAY },
      { 'OBJS', Save_OBJS, Load_OBJS, Ptrs_OBJS, NULL, CH_ARRAY | CH_LAST},
    }

const SaveLoad _object_desc[]`[static]`

Initial value:

     {
          SLE_VAR(Object, location.tile,              SLE_UINT32),
          SLE_VAR(Object, location.w,                 SLE_FILE_U8 | SLE_VAR_U16),
          SLE_VAR(Object, location.h,                 SLE_FILE_U8 | SLE_VAR_U16),
          SLE_REF(Object, town,                       REF_TOWN),
          SLE_VAR(Object, build_date,                 SLE_UINT32),
      SLE_CONDVAR(Object, colour,                     SLE_UINT8,                  148, SL_MAX_VERSION),
      SLE_CONDVAR(Object, view,                       SLE_UINT8,                  155, SL_MAX_VERSION),

    }

Definition at line 19 of file object_sl.cpp.